#
# spec file for package ghc-th-utilities
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name th-utilities
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.2.4.0
Release:        lp152.1.1
Summary:        Collection of useful functions for use with Template Haskell
License:        MIT
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-th-orphans-devel
%if %{with tests}
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-vector-devel
%endif

%description
Collection of useful functions for use with Template Haskell.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Wed Apr  1 2020 psimons@suse.com
- Update th-utilities to version 0.2.4.0.
  [#]# 0.2.4.0
  * Compatibility with GHC-8.10
  * Behavior change in reification of type family instances. Instead of
    erroring if the instance mentions a kind variable, now just ignores
    it.
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Fri Oct 18 2019 psimons@suse.com
- Update th-utilities to version 0.2.3.1.
  [#]# 0.2.3.1
  * Compatibility with GHC-8.8
* Mon May  6 2019 psimons@suse.com
- Update th-utilities to version 0.2.3.0.
  [#]# 0.2.3.0
  * Improved fix to the type variable behavior with GHC <= 7.10.  Uses
    `Any` in place of type variables instead of `()`, to allow for more
    kinds than just `*` and `Constraint`.
  [#]# 0.2.2.0
  * Fixes derive and instantiator mechanisms to work with ghc 7.10 and
    earlier.  Previously, invocation was broken when type variables were
    used.
  * Fixes `freeVarsT` - it now looks through more constructors of `Type`.
  * Adds `dequalifyTyVars` to dequalify every type variable.
* Thu Jan 10 2019 psimons@suse.com
- Update th-utilities to version 0.2.1.0.
  [#]# 0.2.0.1
  * Fixes build on 7.8
  * Fixes warnings
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Wed May 16 2018 psimons@suse.com
- Prefer the new %%license attribute over %%doc.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Feb 16 2017 psimons@suse.com
- Update to version 0.2.0.1 with cabal2obs.
